Skip to main content
GET
/
api
/
organization
/
{organization_id}
Get Organization
curl --request GET \
  --url https://config.heyhumm.ai/api/organization/{organization_id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "is_active": true,
  "default_thread_sharing": "private",
  "business_ontology": {},
  "ontology_version": 123,
  "ontology_updated_at": "2023-11-07T05:31:56Z",
  "context_modules_config": {},
  "data_storage_mode": "humm_hosted",
  "customer_s3_bucket": "<string>",
  "customer_s3_region": "<string>",
  "customer_aws_access_key_id": "<string>",
  "has_customer_aws_secret_access_key": false,
  "customer_iam_role_arn": "<string>",
  "entity_definitions_config": {},
  "agent_lab_config": {}
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid>
required

Response

Successful Response

name
string
required
id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
is_active
boolean
default:true
default_thread_sharing
enum<string>
default:private

Default thread sharing setting for organization.

Available options:
private,
organization
business_ontology
Business Ontology · object
ontology_version
integer | null
ontology_updated_at
string<date-time> | null
context_modules_config
Context Modules Config · object
data_storage_mode
enum<string>
default:humm_hosted

Where synced integration data is stored.

Available options:
humm_hosted,
customer_hosted
customer_s3_bucket
string | null
customer_s3_region
string | null
customer_aws_access_key_id
string | null
has_customer_aws_secret_access_key
boolean
default:false
customer_iam_role_arn
string | null
entity_definitions_config
Entity Definitions Config · object
agent_lab_config
Agent Lab Config · object